Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPStructuredDataWriter Class Reference

`#include <vtkXMLPStructuredDataWriter.h>`

Inheritance diagram for vtkXMLPStructuredDataWriter:

[legend]
Collaboration diagram for vtkXMLPStructuredDataWriter:

[legend]
List of all members.

## Detailed Description

Superclass for PVTK XML structured data writers.

Date:
  2002/12/11 22:46:18

Revision:
  1.2

vtkXMLPStructuredDataWriter provides PVTK XML writing functionality that is common among all the parallel structured data formats.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (97%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPStructuredDataWriter.cxx)`
  - .`h` (`/IO/vtkXMLPStructuredDataWriter.h)`

Definition at line 44 of file vtkXMLPStructuredDataWriter.h.

## Public Types
typedef vtkXMLPDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetExtentTranslator (vtkExtentTranslator *)
virtual vtkExtentTranslator * | GetExtentTranslator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPStructuredDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPStructuredDataWriter ()
| ~vtkXMLPStructuredDataWriter ()
virtual vtkXMLStructuredDataWriter * | CreateStructuredPieceWriter ()=0
void | WritePrimaryElementAttributes ()
void | WritePPieceAttributes (int index)
vtkXMLWriter * | CreatePieceWriter (int index)
## Protected Attributes
vtkExtentTranslator * | ExtentTranslator

## Member Typedef Documentation

typedef vtkXMLPDataWriter vtkXMLPStructuredDataWriter::Superclass

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter. Definition at line 47 of file vtkXMLPStructuredDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLPStructuredDataWriter::vtkXMLPStructuredDataWriter | ( |  | ) | `[protected]`

vtkXMLPStructuredDataWriter::~vtkXMLPStructuredDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPStructuredDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter.

int vtkXMLPStructuredDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter.

virtual int vtkXMLPStructuredDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter.

vtkXMLPStructuredDataWriter* vtkXMLPStructuredDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter.

void vtkXMLPStructuredDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter.

virtual void vtkXMLPStructuredDataWriter::SetExtentTranslator | ( | vtkExtentTranslator * |  | ) | `[virtual]`

| Get/Set the extent translator used for creating pieces.

virtual vtkExtentTranslator* vtkXMLPStructuredDataWriter::GetExtentTranslator | ( |  | ) | `[virtual]`

| Get/Set the extent translator used for creating pieces.

virtual vtkXMLStructuredDataWriter* vtkXMLPStructuredDataWriter::CreateStructuredPieceWriter | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPImageDataWriter, vtkXMLPRectilinearGridWriter, and vtkXMLPStructuredGridWriter.

void vtkXMLPStructuredDataWriter::WritePrimaryElementAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPImageDataWriter.

void vtkXMLPStructuredDataWriter::WritePPieceAttributes | ( | int | index | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataWriter.

vtkXMLWriter* vtkXMLPStructuredDataWriter::CreatePieceWriter | ( | int | index | ) | `[protected, virtual]`

| Implements vtkXMLPDataWriter.

## Member Data Documentation

vtkExtentTranslator* vtkXMLPStructuredDataWriter::ExtentTranslator`[protected]`

| Definition at line 65 of file vtkXMLPStructuredDataWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPStructuredDataWriter.h